## powermanagement-interface 0.3.1

=== debian/changelog ===
powermanagement-interface (0.3.1) hoary; urgency=low

  * Sigh, fix build deps

 -- Thom May <thom@ubuntu.com>  Tue, 22 Mar 2005 22:43:40 +0000

powermanagement-interface (0.3) hoary; urgency=low

  * Add gdm-signal

 -- Thom May <thom@ubuntu.com>  Tue, 22 Mar 2005 13:11:35 +0000

powermanagement-interface (0.2) hoary; urgency=low

  * exit 1 if we're asked for an unrecgonised event
  * Mention capabilities in the usage summary

 -- Thom May <thom@ubuntu.com>  Fri, 25 Feb 2005 11:18:59 +0000

powermanagement-interface (0.1-3) hoary; urgency=low

  * Fix dependencies for pbbuttonsd/acpi-support

 -- Thom May <thom@ubuntu.com>  Wed, 23 Feb 2005 13:39:05 +0000

powermanagement-interface (0.1-2) hoary; urgency=low

  * quell some lintian warnings

 -- Thom May <thom@ubuntu.com>  Wed,  9 Feb 2005 14:39:42 +0000

powermanagement-interface (0.1-1) hoary; urgency=low

  * First upload.

 -- Thom May <thom@ubuntu.com>  Fri, 04 Feb 2005 14:56:55 +0000

=== debian/rules ===
#! /usr/bin/make -f 

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifeq ($(DEB_HOST_ARCH),powerpc)
	TYPE := pbb
	pmtool-depends := -V'pmtool:Depends=pbbuttonsd'
else
	TYPE := acpi
	pmtool-depends := -V'pmtool:Depends=acpi-support (>= 0.17)'
endif

clean: 
	dh_testdir
	dh_clean
	(cd gdm-signal && $(MAKE) clean)

build: 
	(cd gdm-signal && $(MAKE))
	
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	install -m 755 pmi.$(TYPE) debian/powermanagement-interface/usr/sbin/pmi
	install -m 755 blacklist-modules.sh debian/powermanagement-interface/usr/share/pmi/
	install -m 755 stop-applications.sh debian/powermanagement-interface/usr/share/pmi/
	install -m 644 defaults debian/powermanagement-interface/usr/share/pmi/defaults
	install -m 755 gdm-signal/gdm-signal debian/powermanagement-interface/usr/bin/gdm-signal
	
binary-indep:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_installinit 
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol -- $(pmtool-depends)
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

## powermanagement-interface 0.3.7

=== debian/changelog ===
powermanagement-interface (0.3.7) breezy; urgency=low

  * Use ACPI whitelisting

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon,  3 Oct 2005 12:00:12 +0100

powermanagement-interface (0.3.6) breezy; urgency=low

  * pmi.pbb:
    - Fix the query semantics: Return whether the capability is present, not
      whether the action would be executed when closing the lid. This makes
      much more sense and is consistent with the ACPI counterpart.
    - Differ between suspend to ram and disk, and disable the latter for now
      since pbbuttonsd does not support STD at the moment.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 21 Sep 2005 17:31:55 +0200

powermanagement-interface (0.3.5) breezy; urgency=low

  * Adapt to new pbbuttonsd:
    - pmi.pbb: Change sleep command from "pbbcmd config TAG_GOTOSLEEP 1" to
      "pbbcmd sleep". (See Ubuntu #13909)
    - debian/rules: Bump versioned dependency.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 21 Sep 2005 13:23:11 +0200

powermanagement-interface (0.3.4) breezy; urgency=low

  * Add support for /var/lock/acpisleep - don't execute an event if 
    we're in the process of waking up.

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Wed, 21 Sep 2005 01:55:06 +0100

powermanagement-interface (0.3.3) breezy; urgency=low

  * Add support for halt and reboot

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Tue, 30 Aug 2005 18:28:48 +0100

powermanagement-interface (0.3.2) breezy; urgency=low

  * Fix postrm (Adam Conrad)

 -- Thom May <thom@ubuntu.com>  Mon, 11 Apr 2005 18:48:40 +1000

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 ifeq ($(DEB_HOST_ARCH),powerpc)
 	TYPE := pbb
-	pmtool-depends := -V'pmtool:Depends=pbbuttonsd'
+	pmtool-depends := -V'pmtool:Depends=pbbuttonsd (>= 0.7.1)'
 else
 	TYPE := acpi
 	pmtool-depends := -V'pmtool:Depends=acpi-support (>= 0.17)'

## powermanagement-interface 0.3.18

=== gdm-signal/Makefile ===
default: gdm-signal

CFLAGS = -O2 `pkg-config --cflags glib-2.0` `pkg-config --cflags gtk+-2.0`
LDFLAGS = `pkg-config --libs glib-2.0` `pkg-config --libs gtk+-2.0`

gdm-signal: autodown.o gdm-logout-action.o gdm-logout-action.h
	cc $(CFLAGS) $(LDFLAGS) autodown.o gdm-logout-action.o -o gdm-signal

clean:
	-rm *.o *~ gdm-signal

## powermanagement-interface 0.3.11

=== debian/changelog ===
powermanagement-interface (0.3.11) dapper; urgency=low

  * Mangle debian/rules further to add stub support for hppa as well,
    and make i386/amd64/ia64 acpi support explicit, instead of implicit.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 20 Mar 2006 17:35:28 +1100

powermanagement-interface (0.3.10) dapper; urgency=low

  * Add pmi.stub:
    - Empty pmi script for all those arches that needs ubuntu-desktop
      installable (hello sparc!).

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 20 Mar 2006 06:39:51 +0100

powermanagement-interface (0.3.9) dapper; urgency=low

  * pmi.pbb:
    - Reimplemented to use /dev/pmu ioctl's directly instead of calling pbbcmd.
    - Call /etc/apm/{event,suspend,resume}.d scripts before/after sleep.
  * debian/rules: Drop pbbuttonsd dependency on powerpc.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue,  7 Feb 2006 18:46:03 +0100

powermanagement-interface (0.3.8) dapper; urgency=low

  * Add --reboot option to gdm-signal which informs gdm that we'd like it
    to reboot when the session closes.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 11 Jan 2006 17:26:00 +0000

=== debian/control ===
Source: powermanagement-interface
Section: admin
Priority: optional
Maintainer: Thom May <thom@ubuntu.com>
Build-Depends: debhelper (>=4.1.16), libglib2.0-dev, libgtk2.0-dev, libxau-dev
Standards-Version: 3.6.1.0

Package: powermanagement-interface
Architecture: any
Depends: ${misc:Depends}, ${pmtool:Depends}
Description: platform neutral powermanagement interface
 Provides an abstracted layer above the platform specific power management 
 interfaces, with a consistent API so that higher level tools can interact
 with those interfaces.

=== debian/rules ===
--- 
+++ 
@@ -1,22 +1,34 @@
 #! /usr/bin/make -f 
 
 DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
-ifeq ($(DEB_HOST_ARCH),powerpc)
-	TYPE := pbb
-	pmtool-depends := -V'pmtool:Depends=pbbuttonsd (>= 0.7.1)'
-else
+
+# good known arches go up here
+ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), "i386 amd64 ia64"))
 	TYPE := acpi
 	pmtool-depends := -V'pmtool:Depends=acpi-support (>= 0.17)'
 endif
 
+ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), "powerpc"))
+	TYPE := pbb
+	pmtool-depends :=
+endif
+
+# sub arches here.
+ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), "sparc hppa"))
+	TYPE := stub
+	pmtool-depends :=
+endif
+
 clean: 
+	echo "Type is $(TYPE)"
+	echo "pmtools-depends is $(pmtool-depends)"
 	dh_testdir
 	dh_clean
 	(cd gdm-signal && $(MAKE) clean)
 
 build: 
 	(cd gdm-signal && $(MAKE))
-	
+
 install: build
 	dh_testdir
 	dh_testroot

## powermanagement-interface 0.3.15

=== debian/changelog ===
powermanagement-interface (0.3.15) feisty; urgency=low

  * gdm-signal/gdm-logout-action.c:
    - use /var/run/gdm_socket then /tmp/.gdm_socket

 -- Sebastien Bacher <seb128@canonical.com>  Wed, 11 Apr 2007 00:08:36 +0200

powermanagement-interface (0.3.14) feisty; urgency=low

  * Fix two references to '/etc/defaults' that should have been '/etc/default'.
    (Closes: LP #93555)

 -- Paul Sladen <sladen@ubuntu.com>  Mon, 19 Mar 2007 02:33:43 +0000

powermanagement-interface (0.3.13) feisty; urgency=low

  * Make 'pmi.acpi' check for '/var/run/do-not-hibernate' and deny
    hibernation if the file exists (from an upgrade of the default
    kernel which would cause a failure on resume-from-hibernate).
    (Closes: Launchpad #14908).

 -- Paul Sladen <sladen@ubuntu.com>  Tue,  6 Mar 2007 14:58:32 +0000

powermanagement-interface (0.3.12) feisty; urgency=low

  * gdm-signal/gdm-logout-action.c:
    - look for the gdm socket to /tmp/.gdm_socket and then /var/run/gdm_socket

 -- Sebastien Bacher <seb128@canonical.com>  Mon, 19 Feb 2007 13:28:17 +0100

## powermanagement-interface 0.3.17

=== debian/changelog ===
powermanagement-interface (0.3.17) gutsy; urgency=low

  * pmi.acpi: Fix inverted swap file logic (thanks, Sitsofe Wheeler;
    LP: #136433). Add some comments for good measure.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 01 Sep 2007 16:18:16 +0100

powermanagement-interface (0.3.16) gutsy; urgency=low

  * pmi.acpi: Disable suspend and hibernate if /host is mounted via fuse;
    disable hibernate if a swap file is active.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 29 Aug 2007 18:40:49 +0100

powermanagement-interface (0.3.15ubuntu1) gutsy; urgency=low

  * Build for lpia.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 24 Aug 2007 01:39:22 +0000

## powermanagement-interface 0.3.18

=== debian/changelog ===
powermanagement-interface (0.3.18) hardy; urgency=low

  * pmi.acpi: Use hal for triggering suspends, and use pm-utils for 
    determining whether a function is supported

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Tue, 15 Jan 2008 23:52:11 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: powermanagement-interface
 Section: admin
 Priority: optional
-Maintainer: Thom May <thom@ubuntu.com>
+Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Thom May <thom@ubuntu.com>
 Build-Depends: debhelper (>=4.1.16), libglib2.0-dev, libgtk2.0-dev, libxau-dev
 Standards-Version: 3.6.1.0

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 # good known arches go up here
-ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), "i386 amd64 ia64"))
+ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), "i386 amd64 ia64 lpia"))
 	TYPE := acpi
 	pmtool-depends := -V'pmtool:Depends=acpi-support (>= 0.17)'
 endif

## powermanagement-interface 0.3.19

=== gdm-signal/Makefile ===
--- 
+++ 
@@ -7,4 +7,4 @@
 	cc $(CFLAGS) $(LDFLAGS) autodown.o gdm-logout-action.o -o gdm-signal
 
 clean:
-	-rm *.o *~ gdm-signal
+	-rm -f *.o *~ gdm-signal

=== debian/changelog ===
powermanagement-interface (0.3.19) jaunty; urgency=low

  * Use pmi.stub for any architecture not explicitly listed, not just hppa
    and sparc. (Conditional syntax used requires make >= 3.80+3.81.b3.)
  * Strip gdm-signal binary.
  * Generate shared library dependencies for gdm-signal so that it can't be
    installed on a system with an unsuitable libc (LP: #182651).
  * Depend on ucf (LP: #149678).
  * Don't segfault if argument parsing fails (LP: #45680).
  * Make gdm-signal/Makefile quieter on clean.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 14 Nov 2008 09:31:20 +0000

=== debian/control ===
Source: powermanagement-interface
Section: admin
Priority: optional
Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Thom May <thom@ubuntu.com>
Build-Depends: make (>= 3.80+3.81.b3), debhelper (>=4.1.16), libglib2.0-dev, libgtk2.0-dev, libxau-dev
Standards-Version: 3.6.1.0

Package: powermanagement-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${pmtool:Depends}, ucf
Description: platform neutral powermanagement interface
 Provides an abstracted layer above the platform specific power management 
 interfaces, with a consistent API so that higher level tools can interact
 with those interfaces.

## powermanagement-interface 0.3.20

=== gdm-signal/Makefile ===
default: gdm-signal

CFLAGS = -O2 `pkg-config --cflags glib-2.0` `pkg-config --cflags gtk+-2.0`
LIBS = `pkg-config --libs glib-2.0` `pkg-config --libs gtk+-2.0`

gdm-signal: autodown.o gdm-logout-action.o gdm-logout-action.h
	cc $(CFLAGS) autodown.o gdm-logout-action.o -o gdm-signal $(LIBS)

clean:
	-rm -f *.o *~ gdm-signal

=== debian/changelog ===
powermanagement-interface (0.3.20) oneiric; urgency=low

  * Fix link order to list libraries after the objects that require them
    (LP: #770971).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 11 Sep 2011 17:03:17 +0100

## powermanagement-interface 0.3.20ubuntu1

=== gdm-signal/Makefile ===
default: gdm-signal

CFLAGS = -O2 `pkg-config --cflags glib-2.0` `pkg-config --cflags gtk+-2.0`
LIBS = `pkg-config --libs glib-2.0` `pkg-config --libs gtk+-2.0` -lXau

gdm-signal: autodown.o gdm-logout-action.o gdm-logout-action.h
	cc $(CFLAGS) autodown.o gdm-logout-action.o -o gdm-signal $(LIBS)

clean:
	-rm -f *.o *~ gdm-signal

=== debian/changelog ===
powermanagement-interface (0.3.20ubuntu1) raring; urgency=low

  * Added missing lib to link, fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Thu, 18 Apr 2013 17:16:14 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: powermanagement-interface
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Thom May <thom@ubuntu.com>
 Build-Depends: make (>= 3.80+3.81.b3), debhelper (>=4.1.16), libglib2.0-dev, libgtk2.0-dev, libxau-dev
 Standards-Version: 3.6.1.0

=== debian/rules ===
--- 
+++ 
@@ -6,15 +6,10 @@
 ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), "i386 amd64 ia64 lpia"))
 	TYPE := acpi
 	pmtool-depends := -V'pmtool:Depends=acpi-support (>= 0.17)'
-endif
-
-ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), "powerpc"))
+else ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), "powerpc"))
 	TYPE := pbb
 	pmtool-depends :=
-endif
-
-# sub arches here.
-ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), "sparc hppa"))
+else
 	TYPE := stub
 	pmtool-depends :=
 endif
@@ -48,9 +43,11 @@
 	dh_installdocs
 	dh_installchangelogs
 	dh_installinit 
+	dh_strip
 	dh_compress
 	dh_fixperms
 	dh_installdeb
+	dh_shlibdeps
 	dh_gencontrol -- $(pmtool-depends)
 	dh_md5sums
 	dh_builddeb

## powermanagement-interface 0.3.21

=== gdm-signal/Makefile ===
default: gdm-signal

CFLAGS += -O2 `pkg-config --cflags glib-2.0` `pkg-config --cflags gtk+-2.0`
LIBS = `pkg-config --libs glib-2.0` `pkg-config --libs gtk+-2.0` -lXau

gdm-signal: autodown.o gdm-logout-action.o gdm-logout-action.h
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) autodown.o gdm-logout-action.o -o gdm-signal $(LIBS)

clean:
	-rm -f *.o *~ gdm-signal

=== debian/changelog ===
powermanagement-interface (0.3.21) yakkety; urgency=medium

  * debian/compat: Bump to 9.
  * debian/control:
    - Build-depend on debhelper (>= 9) and dpkg-dev (>= 1.16.1~).
    - Restore original maintainer.
    - Bump Standards-Version to 3.9.8.
  * debian/rules:
    - Add recommended build-arch and build-indep targets.
    - Use dh_prep instead of dh_clean -k.
    - Add hardening flags.
  * debian/source/format: Indicate 3.0 (native) format.
  * debian/postinst: Add set -e.
  * gdm-signal/Makefile:
    - Append CFLAGS instead of setting them.
  * Wrap and sort.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 30 Jul 2016 22:57:40 -0400

=== debian/control ===
Source: powermanagement-interface
Section: admin
Priority: optional
Maintainer: Thom May <thom@ubuntu.com>
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1~),
               libglib2.0-dev,
               libgtk2.0-dev,
               libxau-dev,
               make (>= 3.80+3.81.b3)
Standards-Version: 3.9.8

Package: powermanagement-interface
Architecture: any
Depends: ucf, ${misc:Depends}, ${pmtool:Depends}, ${shlibs:Depends}
Description: platform neutral powermanagement interface
 Provides an abstracted layer above the platform specific power management
 interfaces, with a consistent API so that higher level tools can interact
 with those interfaces.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #! /usr/bin/make -f 
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
@@ -21,13 +23,18 @@
 	dh_clean
 	(cd gdm-signal && $(MAKE) clean)
 
-build: 
+build: build-arch build-indep
+
+build-arch:
+	(cd gdm-signal && $(MAKE))
+
+build-indep:
 	(cd gdm-signal && $(MAKE))
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 	install -m 755 pmi.$(TYPE) debian/powermanagement-interface/usr/sbin/pmi
 	install -m 755 blacklist-modules.sh debian/powermanagement-interface/usr/share/pmi/
